Page 1 of 4 123 ... LastLast
Results 1 to 10 of 38

Thread: Leap15: solaar does not work

  1. #1

    Default Leap15: solaar does not work

    I installed solaar from the build service, but it does not work. Either it says it does not have permission to access the Logitech usb key, and I should reinsert it, or it cannot find my mouse (which is working), and the pair device button is greyed out.
    In the meantime my mouse jumps, jerks, and does not respond properly, and is really difficult to use. Ditto for a wired mouse.

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,671
    Blog Entries
    3

    Default Re: Leap15: solaar does not work

    I installed from the standard repos. I'm not sure if that's what you meant.

    I got the same message. So I unplugged the receiver, and plugged it back in. Still no good.
    I told solaar to quit. I restarted. And now it seems to be working properly.

    Note that the mouse was already working properly before I started solaar.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  3. #3

    Default Re: Leap15: solaar does not work

    I rebooted, and get the same permissions problem when I start it from the Start Menu. I unplug it, and plug it in again. The widget in the bottom bar is gray.
    I stop it, and start it as root and it sees my Nano Receiver, but nothing is paired, and the add button is disabled.
    So I uninstalled the version from the build service and installed the one from the distribution. But I get the same things, even after a reboot.

  4. #4
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,671
    Blog Entries
    3

    Default Re: Leap15: solaar does not work

    Mine shows the one paired device (my mouse), with options to pair with other devices.

    I'm not sure what's the difference between our systems.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  5. #5
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,671
    Blog Entries
    3

    Default Re: Leap15: solaar does not work

    Revisiting this.

    You mention a nano receiver. My M325 mouse uses a unified receiver. Perhaps that's why we are seeing differences.

    I don't have a device with a nano receiver to test.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  6. #6

    Default Re: Leap15: solaar does not work

    Installed from standard repo, but I can't even get it to start:

    Code:
    /usr/lib/python2.7/site-packages/solaar/gtk.py:33: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
      __import__(module)
    solaar: error: GObject.__init__() takes exactly 0 arguments (4 given)
    OpenSuse 15.3, Plasma 5.18.6
    Gigabyte GA-Z87X-UD4H Mobo; 16G Ram
    Intel Core i5-4570 Processor (6M Cache, up to 3.60 GHz)

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,324
    Blog Entries
    15

    Default Re: Leap15: solaar does not work

    Hi
    The package has not been updated in a long time..... Might need a udev rule tweak;

    Also see: http://pwr.github.io/Solaar/devices.html

    Can you post the output from lsusb, eg;
    Code:
    lsusb |grep Logitech
    Bus 001 Device 003: ID 046d:c52b Logitech, Inc. Unifying Receiver
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  8. #8

    Default Re: Leap15: solaar does not work

    Not sure who you were asking, Malcolm, but:

    Code:
    lsusb | grep Logitech
    Bus 001 Device 002: ID 046d:c52b Logitech, Inc. Unifying Receiver
    According to the web page you reference, it should work. But it's throwing a python error...
    OpenSuse 15.3, Plasma 5.18.6
    Gigabyte GA-Z87X-UD4H Mobo; 16G Ram
    Intel Core i5-4570 Processor (6M Cache, up to 3.60 GHz)

  9. #9
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,324
    Blog Entries
    15

    Default Re: Leap15: solaar does not work

    Quote Originally Posted by susesteve View Post
    Not sure who you were asking, Malcolm, but:

    Code:
    lsusb | grep Logitech
    Bus 001 Device 002: ID 046d:c52b Logitech, Inc. Unifying Receiver
    According to the web page you reference, it should work. But it's throwing a python error...
    Hi
    Can you open a terminal window and start from the command line with the debug option, the gi.require_version is an INFO so shouldn't stop the app from running.

    Is typelib-1_0-Gtk-3_0 installed, your not running wayland either?

    I'm on SLES 15 here, but it's working as expected....
    Code:
     solaar -d
    /usr/lib/python2.7/site-packages/solaar/gtk.py:33: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
      __import__(module)
    11:07:11,454     INFO [MainThread] root: language en_US (UTF-8), translations path None
    11:07:11,461     INFO [MainThread] solaar.ui: application /io/github/pwr/solaar, registered True
    /usr/lib/python2.7/site-packages/solaar/ui/notify.py:33: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
      from gi.repository import Notify
    11:07:11,558     INFO [MainThread] solaar.ui.tray: using StatusIcon
    11:07:11,559     INFO [MainThread] solaar.ui.notify: starting desktop notifications
    11:07:11,704     INFO [MainThread] solaar.upower: connected to system dbus, watching for suspend/resume events
    11:07:11,718     INFO [MainThread] solaar.listener: starting receiver listening threads
    11:07:11,734     INFO [MainThread] solaar.listener: receiver event add DeviceInfo(path=u'/dev/hidraw3', vendor_id=u'046d', product_id=u'c52b', serial=u'', release='1203', manufacturer='Logitech', product='USB Receiver', interface=2, driver=u'logitech-djreceiver')
    11:07:11,741     INFO [ReceiverListener:hidraw3] logitech_receiver.listener: started with <UnifyingReceiver(/dev/hidraw3,4)> (4)
    11:07:11,741     INFO [ReceiverListener:hidraw3] solaar.listener: <UnifyingReceiver(/dev/hidraw3,4)>: notifications listener has started (4)
    11:07:11,746     INFO [ReceiverListener:hidraw3] logitech_receiver.receiver: <UnifyingReceiver(/dev/hidraw3,4)>: receiver notifications enabled => ('wireless', 'software present')
    11:07:11,753     INFO [ReceiverListener:hidraw3] solaar.listener: status_changed <UnifyingReceiver(/dev/hidraw3,4)>: present, No paired devices. (0) 
    11:07:11,756     INFO [ReceiverListener:hidraw3] logitech_receiver.receiver: <UnifyingReceiver(/dev/hidraw3,4)>: found new device 1 (400A)
    11:07:11,756     INFO [ReceiverListener:hidraw3] solaar.listener: Notification(1,41,04,120A40) triggered new device <PairedDevice(1,400A,M325)> (mouse)
    11:07:11,763     INFO [ReceiverListener:hidraw3] solaar.listener: status_changed <UnifyingReceiver(/dev/hidraw3,4)>: present, 1 paired device. (0) 
    11:07:12,152     INFO [ReceiverListener:hidraw3] solaar.listener: status_changed <PairedDevice(1,400A,M325)>: paired online, Battery: 70% (discharging) (1) 
    11:07:12,154     INFO [ReceiverListener:hidraw3] solaar.listener: status_changed <PairedDevice(1,400A,M325)>: paired online, Battery: 70% (discharging) (0) 
    11:07:12,157  WARNING [ReceiverListener:hidraw3] logitech_receiver.status: <PairedDevice(1,400A,M325)>: battery 70%, ALERT invalid battery
    11:07:12,157     INFO [ReceiverListener:hidraw3] solaar.listener: status_changed <PairedDevice(1,400A,M325)>: paired online, Battery: 70% (invalid battery) (5) battery: 70% (invalid battery)
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  10. #10

    Default Re: Leap15: solaar does not work

    Not running Wayland.

    Code:
    Reading installed packages...
    'typelib-1_0-Gtk-3_0' is already installed.
    and

    Code:
    solaar -d
    /usr/lib/python2.7/site-packages/solaar/gtk.py:33: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
      __import__(module)
    10:27:13,810     INFO [MainThread] root: language en_US (UTF-8), translations path None
    10:27:13,844     INFO [MainThread] solaar.ui: application /io/github/pwr/solaar, registered True
    solaar: error: GObject.__init__() takes exactly 0 arguments (4 given)
    OpenSuse 15.3, Plasma 5.18.6
    Gigabyte GA-Z87X-UD4H Mobo; 16G Ram
    Intel Core i5-4570 Processor (6M Cache, up to 3.60 GHz)

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •